aboutsummaryrefslogtreecommitdiff
path: root/app
diff options
context:
space:
mode:
authorrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2009-01-14 15:35:06 +0000
committerrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2009-01-14 15:35:06 +0000
commit46d30319f99fc66eebbb67406ef4412a1c866929 (patch)
tree65bc742a875cb9e403800cf120b8f6303570f82c /app
parentc48835b31adad8f58e13056c4cf28fdbd0694a6e (diff)
downloadslackbuilds-46d30319f99fc66eebbb67406ef4412a1c866929.tar.gz
slackbuilds-46d30319f99fc66eebbb67406ef4412a1c866929.tar.bz2
gobby: adding gobby
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@2084 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'app')
-rw-r--r--app/editors/gobby/Manifest4
-rw-r--r--app/editors/gobby/gobby.SlackBuild255
-rw-r--r--app/editors/gobby/slack-required7
3 files changed, 266 insertions, 0 deletions
diff --git a/app/editors/gobby/Manifest b/app/editors/gobby/Manifest
new file mode 100644
index 00000000..173f85af
--- /dev/null
+++ b/app/editors/gobby/Manifest
@@ -0,0 +1,4 @@
+DIST gobby-0.4.9.tar.gz 380523 MD5 faff32b66954f7b3954be908a219e524 RMD160 c25342d2a8c36fc665307c6ee60dcefb0a678601 SHA1 5913fd87aa66d5ff939a57d07f1baf422ef67885 SHA256 2d48be88265df6cf125159edb315527515df2ec0e9f9ab9de7d175a3a6a60a5d SHA512 337c74880ee2a57352f444d122881b50dc3558d2490efa6701760c678f5237e518d24b80d6b692a042709508a3305bc392b02a5bd56c9b1a89dcdd1f41dcc46d
+MKBUILD gobby.mkbuild 3398 MD5 1f2d11fdee7defc49ce5a894a03def4a RMD160 12bb82d7b427131963a01aeec9e7f5358913ed14 SHA1 d30016cbbd26b9f86013c780a8d42f7801202bc8 SHA256 4007a05a5a612896b9c11507052854a615530a92c0f513e0d414200d73a4e824 SHA512 88945f1273f947c94ab9939aa0804abc38b6d878c2de87358f87be358424e6f146a385d7e443d3fe55b7a62ff744c0c6fe14f95b0633b205193d967552a70e57
+SLACK-REQUIRED slack-required 114 MD5 d812ccae43f2945176a5de9bb9d1eda9 RMD160 f7483a8de525d68f4654c2fd976bd08072716630 SHA1 c409ea291df5f0a20b1e8753b4253b325c65050e SHA256 bd4ced2ea3f8fb2b7922d9197c5bd25e067e546c607d5716f842fafead0c2e12 SHA512 2cbe02f86087f429d86943ae4ed95d0b1ebff78ac855a10c4a299bf5a2c1f44bfbd0372199652c5341c8dae16202ebf1141a84f024bb1e16afae1b613fd583f3
+SLACKBUILD gobby.SlackBuild 8186 MD5 93d9cea250fc3558d92f5075e1aac2b4 RMD160 58981c1f5bf4d88bd4050d21f4a9726d5dfefd8c SHA1 3c1d2051e1b81dab918d8a25a2e12c97d6465a6b SHA256 d2d8ec2ccf3f309a8ee24298399e4fdb71bfe28a277589808ed2efa64effac95 SHA512 d8e7f5400c0f6e895847e18f66f4a9cdab8c1832a318231f2b0c008d1306a1ee3fe46d1312ba103812b6d14e987bf5fbf07be34f39c8aaacbcfb26ee3bc6a7a9
diff --git a/app/editors/gobby/gobby.SlackBuild b/app/editors/gobby/gobby.SlackBuild
new file mode 100644
index 00000000..b575ddb0
--- /dev/null
+++ b/app/editors/gobby/gobby.SlackBuild
@@ -0,0 +1,255 @@
+#!/bin/bash
+#
+# gobby.SlackBuild is free software; you can redistribute
+# it and/or modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation; either version 2 of the License,
+# or any later version.
+#
+# gobby.SlackBuild is distributed in the hope that it will
+# be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+# Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
+#
+# slackbuild for gobby, by Silvio Rhatto
+# requires: libxml++ gtksourceview net6 obby
+# tested: gobby-0.4.9
+#
+
+# Look for slackbuildrc
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# Set variables
+CWD="$(pwd)"
+SRC_NAME="gobby"
+PKG_NAME="gobby"
+ARCH=${ARCH:=i486}
+SRC_VERSION=${VERSION:=0.4.9}
+PKG_VERSION="$(echo "$SRC_VERSION" | tr '[[:blank:]-]' '_')"
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC_DIR:=$CWD}/$PKG_NAME
+TMP=${TMP:=/tmp}
+PKG=${PKG:=$TMP/package-$PKG_NAME}
+REPOS=${REPOS:=$TMP}
+PREFIX=${PREFIX:=/usr}
+PKG_WORK="$TMP/$SRC_NAME"
+CONF_OPTIONS=${CONF_OPTIONS:=""}
+NUMJOBS=${NUMJOBS:=""}
+
+# Set system libraries' path and optmization flags based on $ARCH
+LIBDIR="$PREFIX/lib"
+
+if [ "$ARCH" = "i386" ]; then
+ SLKCFLAGS="-O2 -march=i386 -mtune=i686"
+elif [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIR="$PREFIX/lib64"
+ LDFLAGS="-L/lib64 -L/usr/lib64"
+fi
+
+# Set error codes (used by createpkg)
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40; ERROR_VCS=41; ERROR_MKDIR=42
+ERROR_MANIFEST=43;
+
+# Clean up any leftovers of previous builds
+rm -rf "$PKG_WORK" 2> /dev/null
+rm -rf "$PKG" 2> /dev/null
+
+# Create directories if necessary
+mkdir -p "$SRC_DIR" || exit $ERROR_MKDIR
+mkdir -p "$PKG" || exit $ERROR_MKDIR
+mkdir -p "$REPOS" || exit $ERROR_MKDIR
+mkdir -p "$PKG_WORK" || exit $ERROR_MKDIR
+
+# Dowload source if necessary
+SRC="$SRC_NAME-$VERSION.tar.gz"
+URL="http://releases.0x539.de/gobby/$SRC"
+
+if [ ! -s "$SRC_DIR/$SRC" ] || ! gunzip -t "$SRC_DIR/$SRC" 2> /dev/null; then
+ wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
+fi
+
+# Import minimized signing key from
+if echo [[SIGNING KEY URL]] | grep -q -v "SIGNING KEY URL"; then
+ lynx -dump [[SIGNING KEY URL]] | gpg --import || exit $ERROR_GPG
+elif echo | grep -q -v "SIGNING KEY ID"; then
+ gpg --recv-keys || exit $ERROR_GPG
+else
+ gpg --import << EOKEY || exit $ERROR_GPG
+[[SIGNING KEY]]
+EOKEY
+fi
+
+# Download source's signature if necessary and check it
+if echo [[SIGNING URL]] | grep -q -v "SIGNING URL"; then
+ SIGNATURE="`basename [[SIGNING URL]]`"
+ if [ ! -s "$SRC_DIR/$SIGNATURE" ]; then
+ wget "[[SIGNING URL]]" -O "$SRC_DIR/$SIGNATURE" || exit $ERROR_WGET
+ fi
+else
+ if [ -s "$SRC_DIR/$SRC.sig" ]; then
+ SIGNATURE="$SRC.sig"
+ elif [ -s "$SRC_DIR/$SRC.asc" ]; then
+ SIGNATURE="$SRC.asc"
+ else
+ echo Trying to get signature file from $URL.sig...
+ if wget "$URL.sig" -O "$SRC_DIR/$SRC.sig"; then
+ SIGNATURE="$SRC.sig"
+ else
+ rm $SRC_DIR/$SRC.sig
+ echo Trying to get signature file from $URL.asc...
+ if wget "$URL.asc" -O "$SRC_DIR/$SRC.asc"; then
+ SIGNATURE="$SRC.asc"
+ else
+ rm $SRC_DIR/$SRC.asc
+ echo "Error getting source's signature file"
+ exit $ERROR_GPG
+ fi
+ fi
+ fi
+fi
+
+echo Checking $SRC_DIR/$SRC with gpg using $SRC_DIR/$SIGNATURE...
+gpg --verify "$SRC_DIR/$SIGNATURE" "$SRC_DIR/$SRC" || exit $ERROR_GPG
+echo Success.
+
+# Check Manifest file
+if [ -e "$CWD/Manifest" ]; then
+
+ MANIFEST_LINES="`grep -E -v "^(MKBUILD|SLACKBUILD)" $CWD/Manifest | wc -l`"
+
+ for ((MANIFEST_COUNT=1; MANIFEST_COUNT <= $MANIFEST_LINES; MANIFEST_COUNT++)); do
+
+ MANIFEST_LINE="`grep -E -v "^(MKBUILD|SLACKBUILD)" $CWD/Manifest | head -n $MANIFEST_COUNT | tail -n 1`"
+ MANIFEST_FILE="`echo $MANIFEST_LINE | awk '{ print $2 }'`"
+ MANIFEST_FILE_TYPE="`echo $MANIFEST_LINE | awk '{ print $1 }'`"
+
+ if [ -e "$SRC_DIR/$MANIFEST_FILE" ]; then
+ MANIFEST_FILE="$SRC_DIR/$MANIFEST_FILE"
+ else
+ MANIFEST_FILE="`find $CWD -name $MANIFEST_FILE`"
+ fi
+
+ if [ ! -e "$MANIFEST_FILE" ] || [ -d "$MANIFEST_FILE" ]; then
+ continue
+ fi
+
+ echo "Checking Manifest for $MANIFEST_FILE_TYPE $MANIFEST_FILE integrity..."
+
+ SIZE_SRC="`wc -c $MANIFEST_FILE | awk '{ print $1 }'`"
+ SIZE_MANIFEST="`echo $MANIFEST_LINE | awk '{ print $3 }'`"
+
+ # Check source code size
+ if [ "$SIZE_SRC" != "$SIZE_MANIFEST" ]; then
+ echo "SIZE Manifest: $SIZE_MANIFEST; SIZE $SRC: $SIZE_SRC"
+ exit $ERROR_MANIFEST
+ else
+ echo "Size match."
+ fi
+
+ # Check source code integrity
+ for ALGO in md5 rmd160 sha1 sha256 sha512; do
+ if [ $ALGO = "rmd160" ]; then
+ ALGO_SRC="`openssl rmd160 $MANIFEST_FILE | awk '{ print $2 }'`"
+ else
+ ALGO_SRC="`"$ALGO"sum $MANIFEST_FILE | awk '{ print $1 }'`"
+ fi
+ ALGO="`echo $ALGO | tr '[:lower:]' '[:upper:]'`"
+ ALGO_MANIFEST=$(echo $MANIFEST_LINE | sed "s/.* $ALGO //" | awk '{ print $1 }')
+ if [ "$ALGO_SRC" != "$ALGO_MANIFEST" ]; then
+ echo "$ALGO Manifest: $ALGO_MANIFEST; $ALGO $SRC: $ALGO_SRC"
+ exit $ERROR_MANIFEST
+ else
+ echo "$ALGO match."
+ fi
+ done
+
+ done
+
+else
+ exit $ERROR_MANIFEST
+fi
+
+# Untar
+cd "$PKG_WORK"
+tar --no-same-owner --no-same-permissions -xvf "$SRC_DIR/$SRC" || exit $ERROR_TAR
+PKG_SRC="$PWD/`ls -l | awk '/^d/ { print $NF }'`"
+cd "$PKG_SRC"
+
+# Configure
+CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix="$PREFIX" --libdir="$LIBDIR" $CONF_OPTIONS || exit $ERROR_CONF
+
+# Compile
+make $NUMJOBS || exit $ERROR_MAKE
+
+# Install
+make install DESTDIR="$PKG" || exit $ERROR_INSTALL
+
+# Strip binaries
+( cd "$PKG"
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Install documentation
+DOCS="NEWS TODO README AUTHORS INSTALL ChangeLog MAINTAINERS COPYING LICENSE SIGNATURE readme.*"
+mkdir -p "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION" || exit $ERROR_MKDIR
+for doc in $DOCS; do
+ if [ -f "$doc" ]; then
+ cp -a $doc "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION"
+ fi
+done
+
+# Add package description (slack-desc)
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+cat << EODESC > "$PKG/install/slack-desc"
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler--------------------------------------------------------|
+gobby: gobby
+gobby:
+gobby: Gobby is a free collaborative editor. This means that it provides
+gobby: you with the possibility to edit files simultaneously with other
+gobby: users over a network. It supports multiple documents in one session
+gobby: and a multi-user chat. The platforms on which you could use Gobby
+gobby: are so far Microsoft Windows, Linux, Mac OS X and other Unix-like
+gobby: ones. Developed with the Gtk+ toolkit it integrates nicely into
+gobby: the GNOME desktop environment if you want it to.
+gobby:
+gobby:
+EODESC
+
+# Build the package
+cd "$PKG"
+makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
+
+# Delete source and build directories if requested
+if [ "$CLEANUP" == "yes" ] || [ "$1" = "--cleanup" ]; then
+ rm -rf "$PKG_WORK" "$PKG"
+fi
diff --git a/app/editors/gobby/slack-required b/app/editors/gobby/slack-required
new file mode 100644
index 00000000..4f76ab35
--- /dev/null
+++ b/app/editors/gobby/slack-required
@@ -0,0 +1,7 @@
+# Dependency list to gobby
+#
+# dependency [condition] [version]]
+libxml++
+gtksourceview
+net6
+obby